Share via


Projects - Create

Creates a new project.

PUT {endpoint}/customvoice/projects/{id}?api-version=2026-01-01

URI Parameters

Name In Required Type Description
endpoint
path True

string (uri)

Supported Cognitive Services endpoints (protocol and hostname, for example: https://eastus.api.cognitive.microsoft.com).

id
path True

string

minLength: 3
maxLength: 64
pattern: ^[a-zA-Z0-9][a-zA-Z0-9._-]{1,62}[a-zA-Z0-9]$

The ID of the resource.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
kind True

ProjectKind

Project kind

description

string

Project description

displayName

string

minLength: 1

Project name

locale

string

The locale of this project. Locale code follows BCP-47. You can find the text to speech locale list here https://learn.microsoft.com/azure/ai-services/speech-service/language-support?tabs=tts.

Responses

Name Type Description
201 Created

Project

The request has succeeded and a new resource has been created as a result.

Other Status Codes

Azure.Core.Foundations.ErrorResponse

An unexpected error response.

Headers

x-ms-error-code: string

Security

Ocp-Apim-Subscription-Key

Type: apiKey
In: header

OAuth2Auth

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
https://cognitiveservices.azure.com/.default

Examples

Create a project

Sample request

PUT {endpoint}/customvoice/projects/Jessica?api-version=2026-01-01

{
  "description": "Project for Jessica Voice",
  "kind": "ProfessionalVoice",
  "locale": "en-US"
}

Sample response

{
  "description": "Project for Jessica Voice",
  "createdDateTime": "2023-04-01T05:30:00.000Z",
  "id": "Jessica",
  "kind": "ProfessionalVoice",
  "locale": "en-US"
}

Definitions

Name Description
Azure.Core.Foundations.Error

The error object.

Azure.Core.Foundations.ErrorResponse

A response containing error details.

Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

Project

Project object. Consents, training sets, models, and endpoints are organized in a project.

ProjectKind

Project kind

Azure.Core.Foundations.Error

The error object.

Name Type Description
code

string

One of a server-defined set of error codes.

details

Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror

Azure.Core.Foundations.InnerError

An object containing more specific information than the current object about the error.

message

string

A human-readable representation of the error.

target

string

The target of the error.

Azure.Core.Foundations.ErrorResponse

A response containing error details.

Name Type Description
error

Azure.Core.Foundations.Error

The error object.

Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

Name Type Description
code

string

One of a server-defined set of error codes.

innererror

Azure.Core.Foundations.InnerError

Inner error.

Project

Project object. Consents, training sets, models, and endpoints are organized in a project.

Name Type Description
createdDateTime

string (date-time)

The timestamp when the object was created. The timestamp is encoded as ISO 8601 date and time format ("YYYY-MM-DDThh:mm:ssZ", see https://en.wikipedia.org/wiki/ISO_8601#Combined_date_and_time_representations).

description

string

Project description

displayName

string

minLength: 1

Project name

id

string

minLength: 3
maxLength: 64
pattern: ^[a-zA-Z0-9][a-zA-Z0-9._-]{1,62}[a-zA-Z0-9]$

Resource id

kind

ProjectKind

Project kind

locale

string

The locale of this project. Locale code follows BCP-47. You can find the text to speech locale list here https://learn.microsoft.com/azure/ai-services/speech-service/language-support?tabs=tts.

ProjectKind

Project kind

Value Description
ProfessionalVoice

ProfessionalVoice

PersonalVoice

PersonalVoice